<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CancelBooking StructType
 * @subpackage Structs
 */
class CancelBooking extends AbstractStructBase
{
    /**
     * The CancelRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CancelRQ
     */
    public $CancelRQ;
    /**
     * Constructor method for CancelBooking
     * @uses CancelBooking::setCancelRQ()
     * @param \StructType\JP_CancelRQ $cancelRQ
     */
    public function __construct(\StructType\JP_CancelRQ $cancelRQ = null)
    {
        $this
            ->setCancelRQ($cancelRQ);
    }
    /**
     * Get CancelRQ value
     * @return \StructType\JP_CancelRQ|null
     */
    public function getCancelRQ()
    {
        return $this->CancelRQ;
    }
    /**
     * Set CancelRQ value
     * @param \StructType\JP_CancelRQ $cancelRQ
     * @return \StructType\CancelBooking
     */
    public function setCancelRQ(\StructType\JP_CancelRQ $cancelRQ = null)
    {
        $this->CancelRQ = $cancelRQ;
        return $this;
    }
}
